Subject: bug#32521: coreutils timeout in a bash script not transparent for the application

From: "Rafal Jankowski" <[email-masked]>
Date: Fri, 24 Aug 2018 22:23:21 +0200

Hi Paul,

[...]
> I can't reproduce the bug on Fedora 28. I don't have fabric.api installed,
> but
> when my Python program looked like this:
>
> #!/usr/bin/python
> import time
> time.sleep (20)
>
> the output of the script was RETCODE=124 as expected, and when the Python
> program looked like this:
>
> #!/usr/bin/python
> import time
> time.sleep (5)
>
> the exit status was 0 as expected.
>
> Perhaps the problem is within fabric.api.

The type of application matters (as I mentioned at the beginning this is
not reproducible with fabric 2). So I agree this is somehow specific to
fabric.api. However to my understanding timeout should be as transparent
as possible for the application that is being executed. So if we can
observe that kind of issue with any application I would rather tend to
think it's more timeout issue than the app issue.